summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/g-i-installation.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index d8f7ada9..31b14ecb 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -788,6 +788,7 @@ monitor_system() {
gocr snapshot_${PRINTF_NR}.ppm > $GOCR
LAST_LINE=$(tail -1 $GOCR |cut -d "]" -f2- || true)
STACK_LINE=$(egrep "(Call Trace|end trace)" $GOCR || true)
+ INVALID_SIG_LINE=$(egrep "(Invalid Release signature)" $GOCR || true)
rm $GOCR
if [[ "$LAST_LINE" =~ .*Power\ down.* ]] ; then
echo "QEMU was powered down, continuing."
@@ -795,6 +796,9 @@ monitor_system() {
elif [ ! -z "$STACK_LINE" ] ; then
echo "INFO: got a stack-trace, probably on power-down."
break
+ elif [ ! -z "$INVALID_SIG_LINE" ] ; then
+ echo "ERROR: Invalid Release signature found, aborting."
+ break
fi
fi
# every 100 screenshots, starting from the $TIMEOUTth one...